Loading...
Searching...
No Matches
casacore::MaskArrIO_global_functions_MaskedArray_IO Struct Reference
casa package (libcasa_casa) » Arrays_module

More...

`#include <MaskArrIO.h>`

## Public Member Functions

template<typename T>
std::ostream & | operator<< (std::ostream &, const MaskedArray< T > &)
| Write out an ascii representation of a MaskedArray.

## Detailed Description

Ascii input/output operations for MaskedArrays.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25
Test programs:
  tMaskArrIO

### Prerequisite

- Array
- MaskedArray
- ArrayIO

### Etymology

MaskArrIO is short for MaskedArrayIO, which is too long by the old AIPS++ file naming conventions. This file contains global functions for writing out ascii representations of masked arrays.

### Synopsis

These functions write out masked arrays in ascii representation. They simply write out the Array and the LogicalArray which is the mask using the ascii output functions for these objects.

### Example

Vector<int> a(10);
LogicalVector b(10);
MaskedArray m (a,b);
...
cout << m;
casacore::MaskedArray
Definition MaskedArray.h:323
casacore::Vector
Definition Vector.h:82

This example writes out m in ascii. It writes first a and then the mask constructed from b.

### Motivation

These are primarily for debugging, so that one can examine the MaskedArray. Since MaskedArrays are manipulators of Arrays, it was not thought to be necessary, or even a good idea, to have other kinds of IO defined for them.

Definition at line 82 of file MaskArrIO.h.

## Member Function Documentation

## operator<<()

template<typename T>

std::ostream & casacore::MaskArrIO_global_functions_MaskedArray_IO::operator<< | ( | std::ostream & | ,
|  | const MaskedArray< T > & | )

Write out an ascii representation of a MaskedArray.

The component Array and LogicalArray are written out sequentially.

The documentation for this struct was generated from the following file:

- casa/Arrays/MaskArrIO.h